Global:
  model: chinese_cht_PP-OCRv3_mobile_rec
  mode: check_dataset # check_dataset/train/evaluate/predict
  dataset_dir: "/paddle/dataset/paddlex/ocr_rec/ocr_rec_dataset_examples"
  device: gpu:0,1,2,3
  output: "output"

CheckDataset:
  convert: 
    enable: False
    src_dataset_type: null
  split: 
    enable: False
    train_percent: null
    val_percent: null

Train:
  epochs_iters: 20
  batch_size: 8
  learning_rate: 0.001
  pretrain_weight_path: https://paddle-model-ecology.bj.bcebos.com/paddlex/official_pretrained_model/chinese_cht_PP-OCRv3_mobile_rec_pretrained.pdparams
  resume_path: null
  log_interval: 20
  eval_interval: 1
  save_interval: 1

Evaluate:
  weight_path: "output/best_accuracy/best_accuracy.pdparams"
  log_interval: 1

Export:
  weight_path: https://paddle-model-ecology.bj.bcebos.com/paddlex/official_pretrained_model/chinese_cht_PP-OCRv3_mobile_rec_pretrained.pdparams

Predict:
  batch_size: 1
  model_dir: "output/best_accuracy/inference"
  input: "https://paddle-model-ecology.bj.bcebos.com/paddlex/imgs/demo_image/general_ocr_rec_005_chinese_cht.png"
  kernel_option:
    run_mode: paddle
